// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "../../Interface/ICsdkTraceOutput.h"
/**
 * 
 */
class CSDKRUNTIME_API CsdkTraceOutputFile: public ICsdkTraceOutput
{
public:
	CsdkTraceOutputFile();
	virtual ~CsdkTraceOutputFile() override;
	virtual  void Log( const class FName& Category, ELogVerbosity::Type Verbosity,const FString& Data) override;
private:
	TUniquePtr<class FCsdkOutputDeviceFile> OutputDeviceFile = nullptr;
};
